Bug 12025 - 4.4.6-pre won't start Samba AD DC if ntvfs file server omitted due to spoolss
4.4.6-pre won't start Samba AD DC if ntvfs file server omitted due to spoolss
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11991 12026
  Show dependency treegraph
 
Reported: 2016-07-16 09:28 UTC by Andrew Bartlett
Modified: 2016-08-05 07:41 UTC (History)
2 users (show)

See Also:


Attachments
patches cherry-picked from master (4.74 KB, patch)
2016-07-27 04:30 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2016-07-16 09:28:06 UTC
The Samba AD DC will fail to start if the ntvfs file server is not build, as is standard on non-developer builds.

This is because it attempts to start the spoolss server from source4, which is also no longer built.
Comment 1 Andrew Bartlett 2016-07-27 04:30:00 UTC
Created attachment 12293 [details]
patches cherry-picked from master

Sorry for the delay in uploading the cherry-picked patches.
Comment 2 Karolin Seeger 2016-08-02 07:24:13 UTC
Pushed to autobuild-v4-[4|3]-test.
Comment 3 Karolin Seeger 2016-08-05 07:41:56 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!